LoginRequest
Defined in: src/@types/auth.ts:145
Request body for POST /login request
https://spec.matrix.org/v1.7/client-server-api/#post_matrixclientv3login
Indexable
Section titled “Indexable”[
key:string]:any
Properties
Section titled “Properties”device_id?
Section titled “device_id?”
optionaldevice_id?:string
Defined in: src/@types/auth.ts:156
ID of the client device. If this does not correspond to a known client device, a new device will be created. The given device ID must not be the same as a cross-signing key ID. The server will auto-generate a device_id if this is not specified.
identifier?
Section titled “identifier?”
optionalidentifier?:UserIdentifier
Defined in: src/@types/auth.ts:160
Identification information for a user
initial_device_display_name?
Section titled “initial_device_display_name?”
optionalinitial_device_display_name?:string
Defined in: src/@types/auth.ts:165
A display name to assign to the newly-created device. Ignored if device_id corresponds to a known device.
medium?
Section titled “medium?”
optionalmedium?:"email"
Defined in: src/@types/auth.ts:171
When logging in using a third-party identifier, the medium of the identifier.
Must be email.
password?
Section titled “password?”
optionalpassword?:string
Defined in: src/@types/auth.ts:175
Required when type is m.login.password. The user’s password.
refresh_token?
Section titled “refresh_token?”
optionalrefresh_token?:boolean
Defined in: src/@types/auth.ts:179
If true, the client supports refresh tokens.
token?
Section titled “token?”
optionaltoken?:string
Defined in: src/@types/auth.ts:183
Required when type is m.login.token. Part of Token-based login.
type:
string
Defined in: src/@types/auth.ts:149
The login type being used.
optionaluser?:string
Defined in: src/@types/auth.ts:188
The fully qualified user ID or just local part of the user ID, to log in.